CVE-2019-6477

Name
CVE-2019-6477
Description
With pipelining enabled each incoming query on a TCP connection requires a similar resource allocation to a query received via UDP or via TCP without pipelining enabled. A client using a TCP-pipelined connection to a server could consume more resources than the server has been provisioned to handle. When a TCP connection with a large number of pipelined queries is closed, the load on the server releasing these multiple resources can cause it to become unresponsive, even for queries that can be answered authoritatively or from cache. (This is most likely to be perceived as an intermittent server problem).
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
Third Party Advisory https://kb.isc.org/docs/cve-2019-6477
Third Party Advisory https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/XGURMGQHX45KR4QDRCSUQHODUFOGNGAN/
Third Party Advisory https://support.f5.com/csp/article/K15840535?utm_source=f5support&utm_medium=RSS
Third Party Advisory https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/L3DEMNZMKR57VQJCG5ZN55ZGTQRL2TFQ/
Third Party Advisory https://www.synology.com/security/advisory/Synology_SA_19_39
DEBIAN https://www.debian.org/security/2020/dsa-4689
SUSE http://lists.opensuse.org/opensuse-security-announce/2020-10/msg00041.html
SUSE http://lists.opensuse.org/opensuse-security-announce/2020-10/msg00044.html

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:isc:bind:9.11.5:s6:*:*:supported_preview:*:*:* bind == None == 9.11.5
cpe:2.3:a:isc:bind:9.11.6:p1:*:*:*:*:*:* bind == None == 9.11.6
cpe:2.3:a:isc:bind:*:*:*:*:*:*:*:* bind >= 9.11.7 <= 9.11.12
cpe:2.3:a:isc:bind:9.11.12:s1:*:*:supported_preview:*:*:* bind == None == 9.11.12
cpe:2.3:a:isc:bind:9.12.4:p1:*:*:*:*:*:* bind == None == 9.12.4
cpe:2.3:a:isc:bind:*:*:*:*:*:*:*:* bind >= 9.14.1 <= 9.14.7
cpe:2.3:a:isc:bind:*:*:*:*:*:*:*:* bind >= 9.15.0 <= 9.15.5

Vulnerable and fixed packages

Source package Branch Version Maintainer Status